割引特典あります→詳細はこちら

【朗報】なんとtool +がWordPress対応になり、ワンタッチ投稿できるようになりました!(3/10)

Date.php on line 694エラーを回避するプラグイン「Fix – SimplePie Errors」

WordPressでRSSを設置していると、どうしてもSimplePie/Parse/Date.php on line 694エラーが出てしまいます。

困ったエラーです。

対処法はこちらにも書いていますが、このエラーはDate.phpファイルを以下のように編集することで対処することが可能です。

Date.phpの編集箇所

$second = round($match[6] + $match[7] / pow(10, strlen($match[7])));

$second = round((int)$match[6] + (int)$match[7] / pow(10, strlen((int)$match[7])));

このエラーの原因ですが、WordPressをバージョンアップすると発生します。

おそらくWordPressをバージョンアップすることによりDate.phpが更新されるからだと思います。

WordPressはたまに自動でバージョンアップされるため注意です。(メールがきます)

か、か、か、勝手に更新しないで~~!

更新されるたびに毎回Date.phpを編集するのも大変です。

しかし、世の中にはすごい人がいるもので、なんとこのエラーを回避するプラグインがあるのです!

その名も「Fix – SimplePie Errors」

こちらからダウンロードできます!

英語だらけなのでわかりにくいですが、以下の画像のところからダウンロードできます。

あとは、このZIPファイルをアップロードして、有効化するだけです。簡単です!

以上です!

これを最初に知っていたらだいぶ楽です。ぜひ導入しましょう!

割引特典あります→詳細はこちら